typedef union {
	const char      *v_str;
	double	         v_float;
	int		 v_int;
	gboolean	 v_bool;
	GSList	        *list;

	struct {
		char const *name;
		gboolean    as_new;
	} v_dim_type;

	struct {
		gboolean    is_array;
		GSList     *indicees;
	} v_array;
	GBIndex            *v_index;

	GBExpr const	   *expr;
	GBStatement const  *stmt;
	GBObjRef           *objr;
	GBArgDesc          *v_arg;
	GBSelectCase       *v_case;
	
	GBFormItem         *v_form_item;
	GBFormProperty     *v_form_prop;
} YYSTYPE;
#define	NAME	257
#define	STRING	258
#define	FRX	259
#define	FLOAT	260
#define	INTEGER	261
#define	GB_GE	262
#define	GB_LE	263
#define	GB_MOD	264
#define	GB_ARG_ASSIGN	265
#define	GB_IS	266
#define	GB_EQV	267
#define	GB_LIKE	268
#define	GB_IMP	269
#define	GB_AND	270
#define	GB_OR	271
#define	GB_XOR	272
#define	GB_NOT	273
#define	GB_ACTIVATE	274
#define	GB_AS	275
#define	GB_ATTRIBUTE	276
#define	GB_APPEND	277
#define	GB_BASE	278
#define	GB_BEGIN	279
#define	GB_BEEP	280
#define	GB_CALL	281
#define	GB_CASE	282
#define	GB_CLASS	283
#define	GB_CLOSE	284
#define	GB_COMPARE	285
#define	GB_CONST	286
#define	GB_DATE	287
#define	GB_DECLARE	288
#define	GB_DEFTYPE	289
#define	GB_DELETESETTING	290
#define	GB_DIM	291
#define	GB_DO	292
#define	GB_EACH	293
#define	GB_ELSE	294
#define	GB_END	295
#define	GB_ELSE_IF	296
#define	GB_ERASE	297
#define	GB_ERROR	298
#define	GB_EXIT	299
#define	GB_EXPLICIT	300
#define	GB_FALSE	301
#define	GB_FILECOPY	302
#define	GB_FOR	303
#define	GB_FUNCTION	304
#define	GB_GET	305
#define	GB_GLOBAL	306
#define	GB_GOSUB	307
#define	GB_GOTO	308
#define	GB_IF	309
#define	GB_INPUT	310
#define	GB_KILL	311
#define	GB_LSET	312
#define	GB_LET	313
#define	GB_LEN	314
#define	GB_LINE	315
#define	GB_LOAD	316
#define	GB_LOCK	317
#define	GB_LOOP	318
#define	GB_MID	319
#define	GB_MKDIR	320
#define	GB_NAME	321
#define	GB_NEXT	322
#define	GB_ON	323
#define	GB_OPEN	324
#define	GB_OPTION	325
#define	GB_OUTPUT	326
#define	GB_PRINT	327
#define	GB_PRIVATE	328
#define	GB_PROPERTY	329
#define	GB_PUBLIC	330
#define	GB_PUT	331
#define	GB_RSET	332
#define	GB_RANDOM	333
#define	GB_RANDOMIZE	334
#define	GB_REDIM	335
#define	GB_REM	336
#define	GB_RESET	337
#define	GB_RESUME	338
#define	GB_RETURN	339
#define	GB_RMDIR	340
#define	GB_RND	341
#define	GB_SAVESETTING	342
#define	GB_SCALE	343
#define	GB_SEEK	344
#define	GB_SELECT	345
#define	GB_SENDKEYS	346
#define	GB_SET	347
#define	GB_SETATTR	348
#define	GB_STATIC	349
#define	GB_STOP	350
#define	GB_SUB	351
#define	GB_THEN	352
#define	GB_TIME	353
#define	GB_TRUE	354
#define	GB_TYPE	355
#define	GB_UNLOAD	356
#define	GB_UNLOCK	357
#define	GB_VERSION	358
#define	GB_WEND	359
#define	GB_WHILE	360
#define	GB_WIDTH	361
#define	GB_WITH	362
#define	GB_WITH_EVENTS	363
#define	GB_WRITE	364
#define	GB_NEW	365
#define	GB_TO	366
#define	GB_STEP	367
#define	GB_PARAM_ARRAY	368
#define	GB_BYREF	369
#define	GB_BYVAL	370
#define	GB_OPTIONAL	371
#define	GB_NOTHING	372
#define	GB_IN	373
#define	GB_BINARY	374
#define	GB_TEXT	375
#define	GB_DATABASE	376
#define	GB_MODULE	377
#define	GB_UNTIL	378
#define	GB_PRESERVE	379
#define	GB_BEGIN_PROPERTY	380
#define	GB_END_PROPERTY	381
#define	GB_OBJECT	382
#define	GB_KEEP_LOOKING	383
#define	GB_SPACE_DOT	384
#define	GB_NE	385
#define	UNARY_NEG	386
#define	UNARY_POS	387

